# *******************************************************************
# **  @file eisman_inc_console.awk - define some text output functions
# **
# **  Creation:     2018-12-27 dv
# **  Last update:  $Id: eisman_inc_console.awk 64433 2019-04-19 09:13:18Z dv $
# **
# **  Copyright (c) 2013-2019 the eisfair team, team(at)eisfair(dot)org
# **
# **  This program is free software; you can redistribute it and/or modify
# **  it under the terms of the GNU General Public License as published by
# **  the Free Software Foundation; either version 2 of the License, or
# **  (at your option) any later version.
# *******************************************************************

BEGIN {
    if (is_tty == "")
    {
        is_tty = yes;
    }
    if (color == "")
    {
        color = yes;
    }

    if (is_tty == "yes")
    {
        if (color == "yes")
        {
            con_text_color_black   = "\033[30m";
            con_text_color_red     = "\033[31m";
            con_text_color_green   = "\033[32m";
            con_text_color_yellow  = "\033[33m";
            con_text_color_blue    = "\033[34m";
            con_text_color_magenta = "\033[35m";
            con_text_color_cyan    = "\033[36m";
            con_text_color_white   = "\033[37m";
            con_text_color_default = "\033[0m";

            con_bkgnd_color_black   = "\033[40m";
            con_bkgnd_color_red     = "\033[41m";
            con_bkgnd_color_green   = "\033[42m";
            con_bkgnd_color_yellow  = "\033[43m";
            con_bkgnd_color_blue    = "\033[44m";
            con_bkgnd_color_magenta = "\033[45m";
            con_bkgnd_color_cyan    = "\033[46m";
            con_bkgnd_color_white   = "\033[47m";
            con_bkgnd_color_default = "\033[49m";

            con_textmode_color_bright           = "\033[1m";
            con_textmode_color_dark             = "\033[2m";
            con_textmode_color_underline        = "\033[4m";
            con_textmode_color_brightback       = "\033[5m";
            con_textmode_color_invers           = "\033[7m";
            con_textmode_color_brightbrightback = "\033[1m\033[5m";
            con_textmode_color_brightinvers     = "\033[1m\033[7m";
            con_textmode_color_darkbrightback   = "\033[2m\033[5m";
            con_textmode_color_darkinvers       = "\033[2m\033[7m";
        }

        # cursor up
        con_cursor_move_up = "\033[1A\033[0G";

        # set cursor
        con_cursor_set_pos = "\033[300C\033[8D";

        # cursor movement to the left
        con_cursor_move_left = "\033[%dD";
    }
}

function print_ok()
{
    if (is_tty == "yes")
    {
        print con_cursor_set_pos    "["      \
            con_text_color_green             \
            con_bkgnd_color_default "  OK  " \
            con_text_color_default  "]"
    }
    else
    {
        print "   [  OK  ]"
    }
}

function print_fail()
{
    if (is_tty == "yes")
    {
        print con_cursor_set_pos      "["      \
            con_text_color_red                 \
            con_textmode_color_bright " FAIL " \
            con_text_color_default    "]"
    }
    else
    {
        print "   [ FAIL ]"
    }
}

function print_info(text)
{
    print con_text_color_green       \
        con_bkgnd_color_default text \
        con_text_color_default
}

function print_warn(text)
{
    print con_text_color_yellow        \
        con_textmode_color_bright text \
        con_text_color_default
}

function print_error(text)
{
    print con_text_color_red                 \
        con_bkgnd_color_white                \
        con_textmode_color_brightinvers text \
        con_text_color_default
}

function print_link(text)
{
    print con_text_color_cyan          \
        con_bkgnd_color_default text   \
        con_text_color_default
}

function error(message)
{
    print_error(message) > "/dev/stderr";
}

function cursor_move_left(num)
{
    printf(con_cursor_move_left, num);
}

