#!/bin/bash
# *******************************************************************
# **  @file eisman_clearcache.sh - remove all packages from download cache
# **
# **  Creation:     2017-01-27 dv
# **  Last update:  $Id: eisman_clearcache.sh 44805 2017-01-28 18:36:04Z dv $
# **
# **  Copyright (c) 2016-2019 the eisfair team, team(at)eisfair(dot)org
# **
# **  This program is free software; you can redistribute it and/or modify
# **  it under the terms of the GNU General Public License as published by
# **  the Free Software Foundation; either version 2 of the License, or
# **  (at your option) any later version.
# *******************************************************************

. /var/install/include/eislib
. /var/install/include/eismanlib


# *******************************************************************
# **  show help on arguments and possible options
# **  @param  n/a
# **  @return n/a
# *******************************************************************

show_help()
{
cat <<EOF

Remove all packages from download cache

usage:
    eisman clearcache [OPTIONS]

options:
    --help      show this help screen

EOF
}


# *******************************************************************
# **  main program
# *******************************************************************
main()
{
    while [ "${1:0:2}" = "--" ]
    do
        case $1 in
        --help)
            show_help
            exit 0
            ;;
        *)
            echo "error: unknown option \"$1\"!" >&2
            echo ""
            show_help
            exit 1
            ;;
        esac
    done

    # our task is simple. delete everything that is
    # within the directory /var/lib/eisman/cache
    rm    -rf "${EISMAN_PATH}/cache"
    mkdir -p  "${EISMAN_PATH}/cache"

    exit 0
}

main "${@}"
